Subject: bug#15615: Pulseaudio build fails

From: Andreas Enge <[email-masked]>
Date: Thu, 17 Oct 2013 14:17:39 +0200

On Wed, Oct 16, 2013 at 09:22:23PM -0400, David Thompson wrote:
> Have other Debian users worked around this issue?

Well, you can delete the symbolic link, create a directory /dev/shm and
mount a new tmpfs there:
   rm /dev/shm
   mkdir /dev/shm
   mount -t tmpfs -o size=1G tmpfs /dev/shm

I did this once or twice to compile a package the tests of which would
otherwise fail. I do not know what happens if you reboot; each time,
I reverted the changes with
   umount /dev/shm
   rmdir /dev/shm
   ln -s /run/shm /dev/shm

Andreas